Bug 841249 - __pmDecodeText heap overflow
__pmDecodeText heap overflow
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: pcp (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ken McDonell
Fedora Extras Quality Assurance
: Security
Depends On:
Blocks: 840765 CVE-2012-3418
  Show dependency treegraph
 
Reported: 2012-07-18 09:54 EDT by Florian Weimer
Modified: 2012-08-20 00:00 EDT (History)
4 users (show)

See Also:
Fixed In Version: pcp-3.6.5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-20 00:00:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Resolve issues in decoding PCP text PDUs (1.11 KB, patch)
2012-07-27 02:38 EDT, Nathan Scott
no flags Details | Diff

  None (edit)
Description Florian Weimer 2012-07-18 09:54:14 EDT
This is very similar to the __pmDecodeInstanceReq overflow (bug 841240).  buflen needs to be checked against the PDU size, and negative values need to be rejected.

This is not directly exposed through pmcd.
Comment 1 Mark Goodwin 2012-07-20 19:30:29 EDT
Ken requested assignment, thanks.
Comment 2 Nathan Scott 2012-07-27 02:38:22 EDT
Created attachment 600704 [details]
Resolve issues in decoding PCP text PDUs
Comment 3 Florian Weimer 2012-07-27 10:56:28 EDT
(In reply to comment #2)
> Created attachment 600704 [details]
> Resolve issues in decoding PCP text PDUs

This looks okay, with the same caveat as in bug 841240.
Comment 4 Huzaifa S. Sidhpurwala 2012-08-15 23:56:21 EDT
Upstream patch:

http://oss.sgi.com/cgi-bin/gitweb.cgi?p=pcp/pcp.git;a=commit;h=9f4e392c97ce42744ec73f82268ce6c815fdca0e

This issue has been addressed in pcp-3.6.5

Note You need to log in before you can comment on or make changes to this bug.